Package com.ocient.jdbc.proto

## Class PlanProtocol.FilterClause.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.FilterClause.Builder>
      - - com.ocient.jdbc.proto.PlanProtocol.FilterClause.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.FilterClauseOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.FilterClause

    public static final class PlanProtocol.FilterClause.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.FilterClause.Builder>
    implements PlanProtocol.FilterClauseOrBuilder

    Represents a single "col/val op col/val" boolean statement
    Will never be "val op val"

Protobuf type `xg.db.sqlPlans.FilterClause`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`PlanProtocol.FilterClause.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.FilterClause` `build()`
`PlanProtocol.FilterClause` `buildPartial()`
`PlanProtocol.FilterClause.Builder` `clear()`
`PlanProtocol.FilterClause.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`PlanProtocol.FilterClause.Builder` `clearLhs()` Either a column name or a string representation of a literal
`PlanProtocol.FilterClause.Builder` `clearLhsIsCol()` `bool lhsIsCol = 6;`
`PlanProtocol.FilterClause.Builder` `clearLhsType()` The types are only meaningful if it is not a column
`PlanProtocol.FilterClause.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`PlanProtocol.FilterClause.Builder` `clearOp()` `.xg.db.sqlPlans.FilterClause.FilterOp op = 2;`
`PlanProtocol.FilterClause.Builder` `clearRhs()` `string rhs = 3;`
`PlanProtocol.FilterClause.Builder` `clearRhsIsCol()` `bool rhsIsCol = 7;`
`PlanProtocol.FilterClause.Builder` `clearRhsType()` `.xg.db.sqlPlans.SqlColType rhsType = 5;`
`PlanProtocol.FilterClause.Builder` `clone()`
`PlanProtocol.FilterClause` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getLhs()` Either a column name or a string representation of a literal
`com.google.protobuf.ByteString` `getLhsBytes()` Either a column name or a string representation of a literal
`boolean` `getLhsIsCol()` `bool lhsIsCol = 6;`
`PlanProtocol.SqlColType` `getLhsType()` The types are only meaningful if it is not a column
`int` `getLhsTypeValue()` The types are only meaningful if it is not a column
`PlanProtocol.FilterClause.FilterOp` `getOp()` `.xg.db.sqlPlans.FilterClause.FilterOp op = 2;`
`int` `getOpValue()` `.xg.db.sqlPlans.FilterClause.FilterOp op = 2;`
`String` `getRhs()` `string rhs = 3;`
`com.google.protobuf.ByteString` `getRhsBytes()` `string rhs = 3;`
`boolean` `getRhsIsCol()` `bool rhsIsCol = 7;`
`PlanProtocol.SqlColType` `getRhsType()` `.xg.db.sqlPlans.SqlColType rhsType = 5;`
`int` `getRhsTypeValue()` `.xg.db.sqlPlans.SqlColType rhsType = 5;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`PlanProtocol.FilterClause.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`PlanProtocol.FilterClause.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`PlanProtocol.FilterClause.Builder` `mergeFrom​(PlanProtocol.FilterClause other)`
`PlanProtocol.FilterClause.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`PlanProtocol.FilterClause.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.FilterClause.Builder` `setLhs​(String value)` Either a column name or a string representation of a literal
`PlanProtocol.FilterClause.Builder` `setLhsBytes​(com.google.protobuf.ByteString value)` Either a column name or a string representation of a literal
`PlanProtocol.FilterClause.Builder` `setLhsIsCol​(boolean value)` `bool lhsIsCol = 6;`
`PlanProtocol.FilterClause.Builder` `setLhsType​(PlanProtocol.SqlColType value)` The types are only meaningful if it is not a column
`PlanProtocol.FilterClause.Builder` `setLhsTypeValue​(int value)` The types are only meaningful if it is not a column
`PlanProtocol.FilterClause.Builder` `setOp​(PlanProtocol.FilterClause.FilterOp value)` `.xg.db.sqlPlans.FilterClause.FilterOp op = 2;`
`PlanProtocol.FilterClause.Builder` `setOpValue​(int value)` `.xg.db.sqlPlans.FilterClause.FilterOp op = 2;`
`PlanProtocol.FilterClause.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`PlanProtocol.FilterClause.Builder` `setRhs​(String value)` `string rhs = 3;`
`PlanProtocol.FilterClause.Builder` `setRhsBytes​(com.google.protobuf.ByteString value)` `string rhs = 3;`
`PlanProtocol.FilterClause.Builder` `setRhsIsCol​(boolean value)` `bool rhsIsCol = 7;`
`PlanProtocol.FilterClause.Builder` `setRhsType​(PlanProtocol.SqlColType value)` `.xg.db.sqlPlans.SqlColType rhsType = 5;`
`PlanProtocol.FilterClause.Builder` `setRhsTypeValue​(int value)` `.xg.db.sqlPlans.SqlColType rhsType = 5;`
`PlanProtocol.FilterClause.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.FilterClause.Builder>`

#### clear

    public PlanProtocol.FilterClause.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.FilterClause.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.FilterClause.Builder>`

#### getDefaultInstanceForType

    public PlanProtocol.FilterClause getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public PlanProtocol.FilterClause build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public PlanProtocol.FilterClause buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public PlanProtocol.FilterClause.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.FilterClause.Builder>`

#### setField

    public PlanProtocol.FilterClause.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                      Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.FilterClause.Builder>`

#### clearField

    public PlanProtocol.FilterClause.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.FilterClause.Builder>`

#### clearOneof

    public PlanProtocol.FilterClause.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.FilterClause.Builder>`

#### setRepeatedField

    public PlanProtocol.FilterClause.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                              int index,
                                                              Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.FilterClause.Builder>`

#### addRepeatedField

    public PlanProtocol.FilterClause.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                              Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.FilterClause.Builder>`

#### mergeFrom

    public PlanProtocol.FilterClause.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.FilterClause.Builder>`

#### mergeFrom

    public PlanProtocol.FilterClause.Builder mergeFrom​(PlanProtocol.FilterClause other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.FilterClause.Builder>`

#### mergeFrom

    public PlanProtocol.FilterClause.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.FilterClause.Builder>`
Throws:
  `IOException`

#### getLhs

    public String getLhs()

    Either a column name or a string representation of a literal

`string lhs = 1;`

Specified by:
  `getLhs` in interface `PlanProtocol.FilterClauseOrBuilder`
Returns:
  The lhs.

#### getLhsBytes

    public com.google.protobuf.ByteString getLhsBytes()

    Either a column name or a string representation of a literal

`string lhs = 1;`

Specified by:
  `getLhsBytes` in interface `PlanProtocol.FilterClauseOrBuilder`
Returns:
  The bytes for lhs.

#### setLhs

    public PlanProtocol.FilterClause.Builder setLhs​(String value)

    Either a column name or a string representation of a literal

`string lhs = 1;`

Parameters:
  `value` - The lhs to set.
Returns:
  This builder for chaining.

#### clearLhs

    public PlanProtocol.FilterClause.Builder clearLhs()

    Either a column name or a string representation of a literal

`string lhs = 1;`

Returns:
  This builder for chaining.

#### setLhsBytes

    public PlanProtocol.FilterClause.Builder setLhsBytes​(com.google.protobuf.ByteString value)

    Either a column name or a string representation of a literal

`string lhs = 1;`

Parameters:
  `value` - The bytes for lhs to set.
Returns:
  This builder for chaining.

#### getOpValue

    public int getOpValue()

`.xg.db.sqlPlans.FilterClause.FilterOp op = 2;`

Specified by:
  `getOpValue` in interface `PlanProtocol.FilterClauseOrBuilder`
Returns:
  The enum numeric value on the wire for op.

#### setOpValue

    public PlanProtocol.FilterClause.Builder setOpValue​(int value)

`.xg.db.sqlPlans.FilterClause.FilterOp op = 2;`

Parameters:
  `value` - The enum numeric value on the wire for op to set.
Returns:
  This builder for chaining.

#### getOp

    public PlanProtocol.FilterClause.FilterOp getOp()

`.xg.db.sqlPlans.FilterClause.FilterOp op = 2;`

Specified by:
  `getOp` in interface `PlanProtocol.FilterClauseOrBuilder`
Returns:
  The op.

#### setOp

    public PlanProtocol.FilterClause.Builder setOp​(PlanProtocol.FilterClause.FilterOp value)

`.xg.db.sqlPlans.FilterClause.FilterOp op = 2;`

Parameters:
  `value` - The op to set.
Returns:
  This builder for chaining.

#### clearOp

    public PlanProtocol.FilterClause.Builder clearOp()

`.xg.db.sqlPlans.FilterClause.FilterOp op = 2;`

Returns:
  This builder for chaining.

#### getRhs

    public String getRhs()

`string rhs = 3;`

Specified by:
  `getRhs` in interface `PlanProtocol.FilterClauseOrBuilder`
Returns:
  The rhs.

#### getRhsBytes

    public com.google.protobuf.ByteString getRhsBytes()

`string rhs = 3;`

Specified by:
  `getRhsBytes` in interface `PlanProtocol.FilterClauseOrBuilder`
Returns:
  The bytes for rhs.

#### setRhs

    public PlanProtocol.FilterClause.Builder setRhs​(String value)

`string rhs = 3;`

Parameters:
  `value` - The rhs to set.
Returns:
  This builder for chaining.

#### clearRhs

    public PlanProtocol.FilterClause.Builder clearRhs()

`string rhs = 3;`

Returns:
  This builder for chaining.

#### setRhsBytes

    public PlanProtocol.FilterClause.Builder setRhsBytes​(com.google.protobuf.ByteString value)

`string rhs = 3;`

Parameters:
  `value` - The bytes for rhs to set.
Returns:
  This builder for chaining.

#### getLhsTypeValue

    public int getLhsTypeValue()

    The types are only meaningful if it is not a column

`.xg.db.sqlPlans.SqlColType lhsType = 4;`

Specified by:
  `getLhsTypeValue` in interface `PlanProtocol.FilterClauseOrBuilder`
Returns:
  The enum numeric value on the wire for lhsType.

#### setLhsTypeValue

    public PlanProtocol.FilterClause.Builder setLhsTypeValue​(int value)

    The types are only meaningful if it is not a column

`.xg.db.sqlPlans.SqlColType lhsType = 4;`

Parameters:
  `value` - The enum numeric value on the wire for lhsType to set.
Returns:
  This builder for chaining.

#### getLhsType

    public PlanProtocol.SqlColType getLhsType()

    The types are only meaningful if it is not a column

`.xg.db.sqlPlans.SqlColType lhsType = 4;`

Specified by:
  `getLhsType` in interface `PlanProtocol.FilterClauseOrBuilder`
Returns:
  The lhsType.

#### setLhsType

    public PlanProtocol.FilterClause.Builder setLhsType​(PlanProtocol.SqlColType value)

    The types are only meaningful if it is not a column

`.xg.db.sqlPlans.SqlColType lhsType = 4;`

Parameters:
  `value` - The lhsType to set.
Returns:
  This builder for chaining.

#### clearLhsType

    public PlanProtocol.FilterClause.Builder clearLhsType()

    The types are only meaningful if it is not a column

`.xg.db.sqlPlans.SqlColType lhsType = 4;`

Returns:
  This builder for chaining.

#### getRhsTypeValue

    public int getRhsTypeValue()

`.xg.db.sqlPlans.SqlColType rhsType = 5;`

Specified by:
  `getRhsTypeValue` in interface `PlanProtocol.FilterClauseOrBuilder`
Returns:
  The enum numeric value on the wire for rhsType.

#### setRhsTypeValue

    public PlanProtocol.FilterClause.Builder setRhsTypeValue​(int value)

`.xg.db.sqlPlans.SqlColType rhsType = 5;`

Parameters:
  `value` - The enum numeric value on the wire for rhsType to set.
Returns:
  This builder for chaining.

#### getRhsType

    public PlanProtocol.SqlColType getRhsType()

`.xg.db.sqlPlans.SqlColType rhsType = 5;`

Specified by:
  `getRhsType` in interface `PlanProtocol.FilterClauseOrBuilder`
Returns:
  The rhsType.

#### setRhsType

    public PlanProtocol.FilterClause.Builder setRhsType​(PlanProtocol.SqlColType value)

`.xg.db.sqlPlans.SqlColType rhsType = 5;`

Parameters:
  `value` - The rhsType to set.
Returns:
  This builder for chaining.

#### clearRhsType

    public PlanProtocol.FilterClause.Builder clearRhsType()

`.xg.db.sqlPlans.SqlColType rhsType = 5;`

Returns:
  This builder for chaining.

#### getLhsIsCol

    public boolean getLhsIsCol()

`bool lhsIsCol = 6;`

Specified by:
  `getLhsIsCol` in interface `PlanProtocol.FilterClauseOrBuilder`
Returns:
  The lhsIsCol.

#### setLhsIsCol

    public PlanProtocol.FilterClause.Builder setLhsIsCol​(boolean value)

`bool lhsIsCol = 6;`

Parameters:
  `value` - The lhsIsCol to set.
Returns:
  This builder for chaining.

#### clearLhsIsCol

    public PlanProtocol.FilterClause.Builder clearLhsIsCol()

`bool lhsIsCol = 6;`

Returns:
  This builder for chaining.

#### getRhsIsCol

    public boolean getRhsIsCol()

`bool rhsIsCol = 7;`

Specified by:
  `getRhsIsCol` in interface `PlanProtocol.FilterClauseOrBuilder`
Returns:
  The rhsIsCol.

#### setRhsIsCol

    public PlanProtocol.FilterClause.Builder setRhsIsCol​(boolean value)

`bool rhsIsCol = 7;`

Parameters:
  `value` - The rhsIsCol to set.
Returns:
  This builder for chaining.

#### clearRhsIsCol

    public PlanProtocol.FilterClause.Builder clearRhsIsCol()

`bool rhsIsCol = 7;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final PlanProtocol.FilterClause.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.FilterClause.Builder>`

#### mergeUnknownFields

    public final PlanProtocol.FilterClause.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.FilterClause.Builder>`